%define upstream_name    Term-Twiddle-Quiet
%define upstream_version 1.100110

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Twiddles a thingy while-u-wait if run interactively
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(IO::Interactive)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Term::Twiddle)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build)
BuildArch: noarch


%description
the Term::Twiddle manpage is a nice module for showing spinning thingies on
the terminal while waiting for an action to complete.

the Term::Twiddle::Quiet manpage acts very much like that module when it is
run interactively. However, when it isn't run interactively (for example,
as a cron job) then it does not show the twiddle.

Other than this difference, it really act as a the Term::Twiddle manpage
with all its options, methods and restrictions (of course, it supports the
same API) - cf its documentation for more information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.100.110-10.mga8
+ Revision: 1497315
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.100.110-9.mga7
+ Revision: 1271645
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.100.110-8.mga6
+ Revision: 1034032
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.100.110-7.mga6
+ Revision: 948896
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.100.110-6.mga5
+ Revision: 788551
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.100.110-5.mga5
+ Revision: 748626
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.110-4.mga5
+ Revision: 686392
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.100.110-3.mga4
+ Revision: 515025
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.110-2.mga3
+ Revision: 373321
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.100.110-1.mga1
+ Revision: 34248
- mageia rebuild
- imported package perl-Term-Twiddle-Quiet

